Aria: ArGripper Class Reference

- Main Page
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# ArGripper Class Reference

`#include <ArGripper.h>`

List of all members.

## Detailed Description

Provides an interface to the Pioneer gripper device.

## Public Types
enum | Type { QUERYTYPE, GENIO, USERIO, GRIPPAC, NOGRIPPER }
| These are the types for the gripper. More...
## Public Member Functions
| ArGripper (ArRobot *robot, int gripperType=QUERYTYPE)
| Constructor.
void | connectHandler (void)
| The handler for when the robot connects.
int | getBreakBeamState (void) const
| Returns the state of the gripper's breakbeams.
int | getGraspTime (void) const
| Gets the grasp time.
int | getGripState (void) const
| Returns the state of the gripper paddles.
long | getMSecSinceLastPacket (void) const
| Gets the number of mSec since the last gripper packet.
int | getPaddleState (void) const
| Returns the state of each gripper paddle.
int | getType (void) const
| Gets the type of the gripper.
bool | gripClose (void)
| Closes the gripper paddles.
bool | gripOpen (void)
| Opens the gripper paddles.
bool | gripperDeploy (void)
| Puts the gripper in a deployed position, ready for use.
bool | gripperHalt (void)
| Halts the lift and the gripper paddles.
bool | gripperStore (void)
| Puts the gripper in a storage position.
bool | gripPressure (int mSecIntervals)
| Sets the amount of pressure the gripper applies.
bool | gripStop (void)
| Stops the gripper paddles.
bool | isGripMoving (void) const
| Returns true if the gripper paddles are moving.
bool | isLiftMaxed (void) const
| Returns the state of the lift.
bool | isLiftMoving (void) const
| Returns true if the lift is moving.
bool | liftCarry (int mSecIntervals)
| Raises the lift by a given amount of time.
bool | liftDown (void)
| Lowers the lift to the bottom.
bool | liftStop (void)
| Stops the lift.
bool | liftUp (void)
| Raises the lift to the top.
void | logState (void) const
| logs the gripper state
bool | packetHandler (ArRobotPacket *packet)
| Parses the gripper packet.
void | setType (int type)
| Sets the type of the gripper.
virtual | ~ArGripper ()
| Destructor.
## Protected Attributes
ArFunctorC< ArGripper > | myConnectCB
unsigned char | myGraspTime
ArTime | myLastDataTime
ArRetFunctor1C< bool, ArGripper, ArRobotPacket * > | myPacketHandlerCB
ArRobot * | myRobot
unsigned char | myState
unsigned char | mySwitches
int | myType

## Member Enumeration Documentation

enum ArGripper::Type

These are the types for the gripper.

Enumerator:

  QUERYTYPE | Finds out what type from the robot, default.
  GENIO | Uses general IO.
  USERIO | Uses the user IO.
  GRIPPAC | Uses a packet requested from the robot.
  NOGRIPPER | There isn't a gripper.

The documentation for this class was generated from the following file:

- ArGripper.h